#include "Animal.hpp"
#include <iostream>
#include <string>

Animal::Animal()
{
	std::cout << "Animal()" << std::endl;
}

Animal::Animal(const Animal& src)
{
	*this = src;
}

Animal& Animal::operator=(const Animal &src)
{
	this->type = src.type;
	return *this;
}

Animal::~Animal()
{
	std::cout << "~Animal()" << std::endl;
}

void Animal::makeSound() const
{
	std::cout << "OuGABounga" << std::endl;
}

std::string Animal::getType() const
{
	return this->type;
}
