#include "Cat.hpp"
#include "Animal.hpp"
#include <iostream>

Cat::Cat()
{
	this->type = "Cat";
	std::cout << "Cat()" << std::endl;
}

Cat& Cat::operator=(const Cat& src)
{
	this->type = src.type;
	return *this;
}

Cat::~Cat()
{
	std::cout << "~Cat()" << std::endl;
}

Cat::Cat(const Cat& src): Animal()
{
	*this = src;
}

void Cat::makeSound() const
{
	std::cout << "Meow Meow !" << std::endl;
}
